<template lang="pug">
#items-one
  h1 {{ item.name }}
  ItemResources(
    :item="item"
    )
  ItemTree(
    :item="item"
    )
</template>

<script>
import Item from 'src/eco/Item'
import ItemResources from './ItemResources.vue'
import ItemTree from './ItemTree.vue'
import * as items from 'src/data/items'

export default {
  components: { ItemResources, ItemTree },
  data () {
    return {
      item: new Item(items[this.$route.params.item])
    }
  },
  name: 'ItemsOne'
}
</script>

<style lang="sass" scoped>
</style>
